LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
DataPilotFieldReferenceType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::DataPilotFieldReferenceType
| These constants select different types of References to calculate the data fields.

## Variables
const long | NONE = 0
| This type means, that the results in the data fields are displayed like they are. More...
const long | ITEM_DIFFERENCE = 1
| From each result, its reference value (see below) is subtracted, and the difference is shown. More...
const long | ITEM_PERCENTAGE = 2
| Each result is divided by its reference value. More...
const long | ITEM_PERCENTAGE_DIFFERENCE = 3
| From each result, its reference value is subtracted, and the difference divided by the reference value. More...
const long | RUNNING_TOTAL = 4
| Each result is added to the sum of the results for preceding items in the base field, in the base field's sort order, and the total sum is shown. More...
const long | ROW_PERCENTAGE = 5
| Each result is divided by the total result for its row in the DataPilot table. More...
const long | COLUMN_PERCENTAGE = 6
| Same as com::sun::star::sheet::DataPilotFieldReferenceType::ROW_PERCENTAGE, but the total for the result's column is used. More...
const long | TOTAL_PERCENTAGE = 7
| Same as com::sun::star::sheet::DataPilotFieldReferenceType::ROW_PERCENTAGE, but the grand total for the result's data field is used. More...
const long | INDEX = 8
| The row and column totals and the grand total, following the same rules as above, are used to calculate the following expression. More...